# Showing with CLI command

## Steps to Show What Workflow Is Running

1. Run the workflow show command in the root of the app directory

```bash
stoobly-agent scaffold workflow show
```

The output will show the workflow namespace, status, runtime, and when it was started:

```
═════════════════════════════════════════════
  Workflow: mock
═════════════════════════════════════════════
  Namespace   mock
  Status      running
  Runtime     docker
  Started     2025-11-14 10:32:17
```

2. To also see the scaffold services running under the workflow, use the `--verbose` flag:

```bash
stoobly-agent scaffold workflow show --verbose
```

```
═════════════════════════════════════════════
  Workflow: mock
═════════════════════════════════════════════
  Namespace   mock
  Status      running
  Runtime     docker
  Started     2025-11-14 10:32:17

Services
─────────────────────────────────────────────
name                      scheme    hostname                      port    priority  local    detached    upstream_scheme    upstream_hostname               upstream_port
my-custom-service         http      my-custom-service.com           80           5  False    False       http               my-custom-service.com                         80
my-api-service            https     my-api-service.com             443           5  False    False       https              my-api-service.com                           443
my-third-party-service    https     www.my-third-party-service.com 443           5  False    False       https              www.my-third-party-service.com               443
```

## Options

To see what options are available:

```bash
stoobly-agent scaffold workflow show -h
```

```
Usage: stoobly-agent scaffold workflow show [OPTIONS] [WORKFLOW_NAME]

  Show information about running workflow(s)

Options:
  --app-dir-path TEXT  Path to application directory.
  --namespace TEXT     Workflow namespace. Only valid when workflow_name is provided.
  -v, --verbose        Show detailed information.
  -h, --help           Show this message and exit.
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stoobly.com/guides/how-to-integrate-e2e-testing/how-to-show-what-workflow-is-running/showing-with-cli-command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
